%global vagrant_plugin_name vagrant-digitalocean

Name: vagrant-digitalocean
Version: 0.9.0
Release: 1%{?dist}
Summary: Vagrant plugin for having Digital Ocean as an provider
License: MIT
URL: https://github.com/devopsgroup-io/vagrant-digitalocean
Source0: https://rubygems.org/gems/%{vagrant_plugin_name}-%{version}.gem
Requires(posttrans): vagrant
Requires(preun): vagrant
Requires: vagrant
Requires: rubygem-highline
Requires: rubygem-faraday
BuildRequires: ruby(release)
BuildRequires: rubygems-devel 
BuildRequires: ruby 
BuildRequires: vagrant 
BuildArch: noarch
Provides: vagrant(vagrant-digitalocean) = %{version}


%description
It is a Vagrant provider plugin that supports the management of DigitalOcean
droplets (instances).

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name}%{?_isa} = %{version}-%{release}
BuildArch: noarch

Provides: bundled(lato-fonts)
# Using OFL license https://www.google.com/fonts/specimen/Source+Code+Pro
Provides: bundled(sourcecodepro-fonts)

%description doc
Documentation for %{name}.


%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{vagrant_plugin_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{vagrant_plugin_name}.gemspec


%build
gem build %{name}.gemspec
# Despite having install in the name, this macro builds the docs among other
# things, so it belongs here.
%vagrant_plugin_install


%install
# We don't ship the test suite
rm -rf .%{vagrant_plugin_dir}/gems/%{vagrant_plugin_name}-%{version}/test

mkdir -p %{buildroot}%{vagrant_plugin_dir}
cp -a .%{vagrant_plugin_dir}/* \
       %{buildroot}%{vagrant_plugin_dir}/


%posttrans
%vagrant_plugin_register %{name}


%preun
%vagrant_plugin_unregister %{name}


%files
%license %{vagrant_plugin_instdir}/LICENSE.txt
%exclude %{vagrant_plugin_cache}
%dir %{vagrant_plugin_instdir}
%exclude %{vagrant_plugin_instdir}/.gitignore
%{vagrant_plugin_instdir}/locales
%{vagrant_plugin_libdir}
%{vagrant_plugin_spec}
%{vagrant_plugin_instdir}/box*


%files doc
%license %{vagrant_plugin_instdir}/LICENSE.txt
%doc %{vagrant_plugin_docdir}
%doc %{vagrant_plugin_instdir}/README.md
%{vagrant_plugin_instdir}/Gemfile
%{vagrant_plugin_instdir}/Rakefile
%{vagrant_plugin_instdir}/%{vagrant_plugin_name}.gemspec
%{vagrant_plugin_instdir}/box/*


%changelog
* Wed Jun 08 2016 Kushal Das <kushal@fedoraproject.org> - 0.9.0-1
- Updates to 0.9.0

* Wed Jun 08 2016 Kushal Das <kushal@fedoraproject.org> - 0.7.10-1
- New package
